> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-tiles/technical-specification/tile-matrix-sets.md).

# Tile matrix sets

## GET /tilematrixsets

> Retrieve the list of available tiling schemes (tile matrix sets)

```json
{"openapi":"3.0.1","info":{"title":"OS NGD API - Tiles","version":"v1.8"},"servers":[{"description":"NGD OGC API - Tiles server","url":"https://api.os.uk/maps/vector/ngd/ota/v1"}],"paths":{"/tilematrixsets":{"get":{"operationId":"getTileMatrixSetsList","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/getTileMatrixSetsList_200_response"}}},"description":"List of tile matrix sets (tiling schemes)."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The request was not supported."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The requested resource does not exist on the server. For example, a path parameter had an incorrect value."},"405":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The HTTP method requested is not supported. This endpoint only supports 'GET' requests."},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"A request header value was not supported."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"A server error occurred."},"504":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"Gateway Timeout."}},"summary":"Retrieve the list of available tiling schemes (tile matrix sets)","tags":["Tiling Schemes"]}}},"components":{"schemas":{"getTileMatrixSetsList_200_response":{"properties":{"tileMatrixSets":{"items":{"$ref":"#/components/schemas/tileMatrixSet-item"},"type":"array"}},"type":"object"},"tileMatrixSet-item":{"description":"A minimal tile matrix set element for use within a list of tile matrix sets linking to a full definition.","properties":{"id":{"description":"Optional local tile matrix set identifier, e.g. for use as unspecified `{tileMatrixSetId}` parameter. Implementation of 'identifier'","type":"string"},"title":{"description":"Title of this tile matrix set, normally used for display to a human","type":"string"},"uri":{"description":"Reference to an official source for this tileMatrixSet","format":"uri","type":"string"},"crs":{"allOf":[{"description":"Coordinate Reference System (CRS)","type":"object"},{"$ref":"#/components/schemas/crs"}]},"links":{"description":"Links to related resources. A 'self' link to the tile matrix set definition is required.","items":{"$ref":"#/components/schemas/link"},"type":"array"}},"required":["links"],"title":"Tile Matrix Set Item","type":"object"},"crs":{"description":"Reference to one coordinate reference system (CRS)","format":"uri","title":"CRS","type":"string"},"link":{"properties":{"href":{"description":"Supplies the URI to a remote resource (or resource fragment).","type":"string"},"rel":{"description":"The type or semantics of the relation.","type":"string"},"type":{"description":"A hint indicating what the media type of the result of dereferencing the link should be.","type":"string"},"templated":{"description":"This flag set to true if the link is a URL template.","type":"boolean"},"varBase":{"description":"A base path to retrieve semantic information about the variables used in URL template.","type":"string"},"hreflang":{"description":"A hint indicating what the language of the result of dereferencing the link should be.","type":"string"},"title":{"description":"Used to label the destination of a link such that it can be used as a human-readable identifier.","type":"string"},"length":{"type":"integer"}},"required":["href","rel"],"type":"object"},"exceptionDto":{"description":"JSON schema for exceptions based on RFC 7807","properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"},"code":{"type":"integer"},"description":{"type":"string"},"help":{"type":"string"}},"required":["type"],"title":"Exception Schema","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-tiles/technical-specification/tile-matrix-sets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
